function gpsStr = time2gps(timeInSec)
%TIME2GPS Convert digital time into GPS structure
%
%SYNOPSIS
%   GPSSTR = time2gps(TIMEINSEC)
%
%INPUT
%   TIMEINSEC   array of times (digital seconds)
%
%OUTPUT
%   GPSSTR      output structure has 'sec','ns'
%
%AUTHOR
%   Keith Thorne <keith.thorne@ligo.org>

% $Id: time2gps.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

% GET whole seconds in input times
% GET residual nanosecond in input times
% CREATE output struct
wholeSec = floor(timeInSec);
timeRes = timeInSec - wholeSec;
nanoSec = floor(timeRes*1e9);
gpsStr = struct('sec',num2cell(wholeSec),'ns',num2cell(nanoSec));
end
