function figHand = dualstairhist(YBar,YStair,ymin,ymax,nbins)

%DUALSTAIRHIST - plots two histograms as one
%
%SYNOPSIS
%    FIGHAND = dualstairhist(YBAR,YSTAIR,YMIN,YMAX,NBINS)
%
%INPUTS
%   YBAR - data to be histogrammed as blue bars
%   YSTAIR - data to be histogrammed as red stairs
%   YMIN - min value of Y in histogram
%   YMAX - max value of Y in histogram
%   NBINS - # of bins in histogram
%
%OUTPUT
%   FIGHAND - figure handle
%AUTHOR
%   Keith Thorne <keith.thorne@ligo.org>

%  $Id: dualstairhist.m 6645 2010-12-09 16:09:14Z diego.menendez@LIGO.ORG $

[barCnt,barCtr] = limhist(YBar,ymin,ymax,nbins);
[stairCnt,stairCtr] = limhist(YStair,ymin,ymax,nbins);
figHand = plotyy(barCtr,barCnt,stairCtr,stairCnt,@bar,@stairhist);
return
